# coding: utf-8
lib = File.expand_path('../lib/', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |s|
  s.name        = 'pepito-slack'
  s.version     = '0.0.2'
  s.authors     = ['Olivier']
  s.email       = ['olivier@yafoy.com']
  s.summary     = 'Pepito-slack is your slack adapter for the Pepito bot'
  s.description = 'Integrate Pepito with you slack team'
  s.homepage    = 'https://github.com/yafoy/pepito-slack'
  s.license     = 'MIT'

  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.require_paths = ['lib']

  s.required_ruby_version = '>= 2.0.0'

  s.add_runtime_dependency 'pepito', '~> 0'
  s.add_runtime_dependency 'slack-ruby-client', '~> 0.5.1', '>= 0.5.1'
  s.add_runtime_dependency 'eventmachine', '~> 1.0.8', '>= 1.0.8'
  s.add_runtime_dependency 'faye-websocket', '~> 0.10'

  s.add_development_dependency 'rake', '~> 10.5'
  s.add_development_dependency 'minitest', '~> 5.8'
  s.add_development_dependency 'minitest-reporters', '~> 1.0'
  s.add_development_dependency 'rubocop', '~> 0.37'
end
